Subject: Re: bug#33553: Document negatively listing fonts for character range

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Dec 2018 10:03:42 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 30 Nov 2018 17:45:29 -0500
> 
>   > > + Prohibit a certain font for a certain range of characters
> 
>   > That's because there is no way.  You must instead use another font for
>   > that range of characters.
> 
> Is there a null font, that one could specify for that range of characters
> and thus prevent use of any other font?

Yes, there is: use nil for the FONT-SPEC argument.  But AFAIU, that's
not what was requested, since doing that will always display those
characters as boxes with hex code.  What was requested is to have a
feature that will disable the use of just one specific font for a
particular range of characters, thereby forcing Emacs to use some
other font for that range.